Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Interface Parser

All Known Implementing Classes:
  AbstractParser

public interface Parser

Specifies general parser definition.

To do:
  comments
Pendung:
  other methods can be formalised and added.

Field Summary
`static int` | `STATUS_ERROR` There were some errors during expression parser.
`static int` | `STATUS_FATAL_ERROR` Some fatal errors have occured during the parser.
`static int` | `STATUS_OK` The expression was parsed successfully without any errors or wornings.
`static int` | `STATUS_WARNING` There were some warnings during expression parser.

Method Summary
`ParserContext` | `getContext()`
`java.util.List` | `getMessages()` Returns list of warning and error messages.
`AstStart` | `getStartNode()` Returs root of the AST tree.
`boolean` | `isDeclareUndefinedVariables()`
`int` | `parse(java.lang.String expression)`
`void` | `setContext(ParserContext context)`
`void` | `setDeclareUndefinedVariables(boolean declareUndefinedVariables)`

Field Detail

### STATUS_OK

    public static final int STATUS_OK

  The expression was parsed successfully without any errors or wornings.

  See Also:
    Constant Field Values

### STATUS_WARNING

    public static final int STATUS_WARNING

  There were some warnings during expression parser.

  See Also:
    Constant Field Values

### STATUS_ERROR

    public static final int STATUS_ERROR

  There were some errors during expression parser.

  See Also:
    Constant Field Values

### STATUS_FATAL_ERROR

    public static final int STATUS_FATAL_ERROR

  Some fatal errors have occured during the parser. For MathML such status indicates that XML document is not well formed, for linear syntax parser this indicates that some rror in grammar was found.

  See Also:
    Constant Field Values

Method Detail

### getContext

    public ParserContext getContext()

### setContext

    public void setContext(ParserContext context)

### isDeclareUndefinedVariables

    public boolean isDeclareUndefinedVariables()

### setDeclareUndefinedVariables

    public void setDeclareUndefinedVariables(boolean declareUndefinedVariables)

### parse

    public int parse(java.lang.String expression)

### getStartNode

    public AstStart getStartNode()

  Returs root of the AST tree.

### getMessages

    public java.util.List getMessages()

  Returns list of warning and error messages.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.